import datetime  #引入datetime模块

# 获取时间
str = datetime.datetime.now().strftime('%Y-%m')  #获取当前时间并转化成字符串
print(str)
# 切割
# dep = request.GET["dep"].split('--')[0]
import math
a = "   a'a/a,s-d,e#q%i^d&d%"
print(a.replace(" ", "").replace("/", "").replace(",", "").replace("-", "").replace("#", "").replace("%", "").replace("'", "").replace("^", "").replace("&", ""))

#\r\n
#' '
#'
#--


if "asd'   ".find("'") >= 0:
    print('有空格')
# print('dada\n,dadad')
print('dadaoror \r\n,dadad')

a={'the': 958035, 'of': 536684, 'and': 375233, 'one': 371796, 'in': 335503, 'a': 292250, 'to': 285093, 'zero': 235406, 'nine': 224705}
b = {}
for i,(k,v) in enumerate(a.items()):
    print({k:v},end="")
    b[k]=v
    if i==4:
        break
print(b)
import base64
# 使用的时候数据必须进行Bytes类型转换
# 方法encode()和decode()方法
# a = base64.b64encode(b'hello world')


# %s          字符串
# %d          整形
# %c          单字符
# %f           浮点数。控制为数 %.2f 保留两位小数
# %x          十六进制

#打印结果：

#
# print(str)   #输出字符串信息

#
#
# a= '20200219099'
#
# def monthly_odd(odd):
#     """
#     :param odd: 传入单号
#     odd_old_right：旧单号右边三位数
#     odd_old_left：旧单号左边8位数
#     odd_new_right：新单号右边三位数
#     odd_new：新单号
#     :return:
#     """
#     odd_old = odd
#     odd_old_right = int(odd_old[8::])+1  #右边三位
#     odd_old_left = odd_old[0:8]   #左边八位
#     if len(str(odd_old_right))== 1:
#         odd_new_right = '0'+'0'+str(odd_old_right)  #新的右边三位
#         odd_new = odd_old_left+odd_new_right
#         return odd_new
#     if len(str(odd_old_right))== 2:
#         odd_new_right = '0'+str(odd_old_right)
#         odd_new = odd_old_left+odd_new_right
#         return odd_new
#     if len(str(odd_old_right))== 3:
#         odd_new_right = str(odd_old_right)
#         odd_new = odd_old_left+odd_new_right
#         return odd_new
# b = monthly_odd(a)
# print(b)

